#include <iostream>
#include <vector>
#include <algorithm>

int main() {
    std::vector<int> vec = {5, 2, 8, 1, 9};

    // Sorting
    std::sort(vec.begin(), vec.end());

    // Finding an element
    auto it = std::find(vec.begin(), vec.end(), 8);
    if (it != vec.end()) {
        std::cout << "Found 8 at position: " << std::distance(vec.begin(), it) << std::endl;
    }

    // Removing elements
    vec.erase(std::remove_if(vec.begin(), vec.end(), 
                             [](int n) { return n % 2 == 0; }),
              vec.end());

    std::cout << "After removing even numbers: ";
    for (int num : vec) {
        std::cout << num << " ";
    }
    std::cout << std::endl;

    return 0;
}
